package com.chelvc.cloud.vehicle.server.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.server.dao.GoodsMapper;
import com.chelvc.cloud.vehicle.server.entity.Goods;
import com.chelvc.cloud.vehicle.server.service.GoodsService;
import lombok.NonNull;
import org.springframework.stereotype.Service;

/**
 * 商品业务操作实现
 *
 * @author Woody
 * @date 2023/7/17
 */
@Service
public class GoodsServiceImpl extends ServiceImpl<GoodsMapper, Goods> implements GoodsService {
    @Override
    public List<Long> listMerchantGoodsCategoryIdentities(@NonNull Long merchantId) {
        return this.baseMapper.listMerchantGoodsCategoryIdentities(merchantId);
    }
}
